import request from '@/utils/request'

// 查询数据采集列表
export function listGATHER(query) {
  return request({
    url: '/gather/list',
    method: 'get',
    params: query
  })
}

// 查询数据采集所有列表
export function listAllGATHER(query) {
  return request({
    url: '/gather/listAll',
    method: 'get',
    params: query
  })
}

// 查询数据采集详细
export function getGATHER(id) {
  return request({
    url: '/gather/getInfo/' + id,
    method: 'get'
  })
}

// 新增数据采集
export function addGATHER(data) {
  return request({
    url: '/gather/add',
    method: 'post',
    data: data
  })
}

// 修改数据采集
export function updateGATHER(data) {
  return request({
    url: '/gather/edit',
    method: 'post',
    data: data
  })
}

// 删除数据采集
export function delGATHER(id) {
  return request({
    url: '/gather/remove/' + id,
    method: 'get'
  })
}


// 获取可采集的数据
export function getInfoByColl(id) {
  return request({
    url: '/gather/getInfoByColl/' + id,
    method: 'get'
  })
}



// 上报
export function approve(data) {
  return request({
    url: '/gather/approve/',
    method: 'post',
    data: data
  })
}


// 提交审核
export function report(data) {
  return request({
    url: '/gather/approve',
    method: 'post',
    data: data
  })
}

// 下载导入模板
export function download(id) {
  return request({
    url: '/gather/download/' + id,
    method: 'get',
    responseType: "blob",
  })
}


// 导入
export function upload(data) {
  return request({
    url: '/gather/upload/',
    method: 'post',
    data:data
  })
}
